/* ================================ *\
            Typegraphy
\* ================================ */

////
/// @group text
////

/// define headline font
/// @param {string} $font-weight ['regular'] font weight
/// @param {string} $color [$color-headline] font color
@mixin _font-headline($fontWeight: 'regular', $color: $color-headline) {
    @include _text-rendering;

    font-family: $font-headline;
    font-weight: map_get($font-weight, $fontWeight);
    font-style: normal;
    line-height: 1.4;
    letter-spacing: 1px;
    color: $color;
}

/// define paragraph font
/// @param {string} $font-weight ['regular'] font weight
/// @param {string} $color [$color-headline] font color
@mixin _font-paragraph($fontWeight: 'regular', $color: $color-paragraph) {
    @include _text-rendering;

    font-family: $font-paragraph;
    font-weight: map_get($font-weight, $fontWeight);
    font-style: normal;
    line-height: 1.4;
    color: $color;

    strong {
        font-weight: map_get($font-weight, 'bold');
    }
}

/// define button font
/// @param {string} $font-weight ['regular'] font weight
/// @param {string} $color [$color-headline] font color
@mixin _font-button($fontWeight: 'regular', $color: $color-paragraph) {
    @include _text-rendering;

    font-family: $font-paragraph;
    font-weight: map_get($font-weight, $fontWeight);
    font-style: normal;
    line-height: 1.3;
    color: $color;
}

/// define score font
/// @param {string} $color [$color-paragraph] font color
@mixin _font-score($color: $color-white) {
    @include _text-rendering;

    font-family: $font-score;
    line-height: 1.2;
    letter-spacing: 1px;
    color: $color;

    font-weight: normal;
    white-space: nowrap;
    text-decoration: none;
}